
--- applnk/Makefile.am	5 Nov 2002 19:56:40 -0000	1.1.1.3
+++ applnk/Makefile.am	16 Aug 2002 23:49:20 -0000	1.2
@@ -15,8 +15,8 @@
 	$(mkinstalldirs) $(edu_folder)/Tools
 	$(INSTALL_DATA) $(srcdir)/tools.desktop $(edu_folder)/Tools/.directory
 
-	$(mkinstalldirs) $(edu_folder)/Miscellanous
-	$(INSTALL_DATA) $(srcdir)/miscellanous.desktop $(edu_folder)/Miscellanous/.directory
+	$(mkinstalldirs) $(edu_folder)/Miscellaneous
+	$(INSTALL_DATA) $(srcdir)/miscellaneous.desktop $(edu_folder)/Miscellaneous/.directory
 
 uninstall-local:
 	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Databases/.directory
@@ -24,4 +24,4 @@
 	-rm -f $(edu_folder)/Mathematics/.directory
 	-rm -f $(edu_folder)/Sience/.directory
 	-rm -f $(edu_folder)/Tools/.directory
-	-rm -f $(edu_folder)/Miscellanous/.directory
+	-rm -f $(edu_folder)/Miscellaneous/.directory
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ applnk/miscellaneous.desktop	20 Jan 2003 02:50:02 -0000	1.5
@@ -0,0 +1,35 @@
+[Desktop Entry]
+Icon=edu_miscellaneous
+Name=Miscellaneous
+Name[af]=Allerande
+Name[bg]=Разни
+Name[bs]=Razno
+Name[da]=Diverse
+Name[de]=Verschiedenes
+Name[el]=Διάφορα
+Name[es]=Varios
+Name[et]=Mitmesugust
+Name[fo]=Ymiskt
+Name[fr]=Divers
+Name[he]=שונות
+Name[hu]=Egyéb
+Name[it]=Miscellanea
+Name[ja]=その他
+Name[lt]=Įvairūs dalykai
+Name[lv]=Dažādi
+Name[nb]=Diverse
+Name[nl]=Diversen
+Name[nn]=Ymse
+Name[nso]=Hlakahlakanego
+Name[pt]=Vários
+Name[pt_BR]=Outros
+Name[ru]=Разное
+Name[sk]=Rôzne
+Name[sl]=Razno
+Name[sv]=Diverse
+Name[tr]=Çeşitli
+Name[ven]=Zwo tangananaho
+Name[xh]=Umxhube wezinto
+Name[zh_CN]=杂项
+Name[zh_TW]=雜項
+Name[zu]=Ingxubevange
--- applnk/miscellanous.desktop	19 Jul 2003 04:14:21 -0000	1.1.1.8
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,28 +0,0 @@
-[Desktop Entry]
-Icon=edu_miscellanous
-Name=Miscellaneous
-Name[bs]=Razno
-Name[ca]=Diversos
-Name[da]=Diverse
-Name[de]=Verschiedenes
-Name[el]=Διάφορα
-Name[es]=Varios
-Name[et]=Mitmesugust
-Name[fi]=Sekalainen
-Name[fr]=Divers
-Name[he]=שונות
-Name[hu]=Egyéb
-Name[it]=Varie
-Name[ja]=その他
-Name[lt]=Įvairūs dalykai
-Name[nl]=Diversen
-Name[nn]=Ymse
-Name[pl]=Różne
-Name[pt]=Vários
-Name[pt_BR]=Vários
-Name[ru]=Другие программы
-Name[sk]=Rôzne
-Name[sl]=Razno
-Name[sv]=Diverse
-Name[xh]=Umxhube wezinto
-Name[zu]=Ingxubevange
--- flashkard/flashkard/Makefile.am	19 Jul 2003 04:14:21 -0000	1.1.1.6
+++ flashkard/flashkard/Makefile.am	19 Jul 2003 04:29:59 -0000	1.7
@@ -7,7 +7,7 @@
 
 EXTRA_DIST = main.cpp flashkard.cpp flashkard.h flashkard.desktop datawidget.cpp datawidget.h flashkardui.rc quizwidget.cpp quizwidget.h guesswidget.cpp guesswidget.h flashcardswidget.cpp flashcardswidget.h card.cpp card.h xmlwriter.cpp xmlwriter.h 
 
-appsdir = $(kde_appsdir)/Edutainment/Miscellanous
+appsdir = $(kde_appsdir)/Edutainment/Miscellaneous
 apps_DATA = flashkard.desktop
 
 INCLUDES= $(all_includes) -I$(top_srcdir)/libkdeedu/kdeeducore
--- flashkard/flashkard/main.cpp	13 Mar 2003 19:52:03 -0000	1.1.1.3
+++ flashkard/flashkard/main.cpp	30 Oct 2002 00:52:35 -0000	1.3
@@ -36,7 +36,7 @@
   
   KAboutData aboutData( "flashkard", I18N_NOOP("FlashKard"),
 			"1.0", description, KAboutData::License_GPL,
-			"(c) 2002, Scott Wheeler", 0, "http://edu.kde.org/flashkard/");
+			"(c) 2002, Scott Wheeler", 0, "http://edu.kde.org/flashkard/", "submit@bugs.kde.org");
 
   aboutData.addAuthor("Scott Wheeler", 0, "wheeler@kde.org");
   KCmdLineArgs::init(argc, argv, &aboutData);
--- flashkard/flashkard.kdevprj	5 Nov 2002 19:57:32 -0000	1.1.1.5
+++ flashkard/flashkard.kdevprj	29 Oct 2002 15:19:05 -0000	1.3
@@ -159,7 +159,7 @@
 [flashkard/flashkard.desktop]
 dist=true
 install=true
-install_location=$$(kde_appsdir)/Edutainment/Miscellanous/flashkard.desktop
+install_location=$$(kde_appsdir)/Edutainment/Miscellaneous/flashkard.desktop
 type=DATA
 
 [flashkard/flashkard.h]
--- kalzium/calculations/Makefile.am	5 Nov 2002 19:57:32 -0000	1.1.1.4
+++ kalzium/calculations/Makefile.am	2 Oct 2002 02:01:37 -0000	1.3
@@ -1,9 +1,10 @@
 noinst_LTLIBRARIES = libkmol.la
 
 libkmol_la_SOURCES = kmolcalc.cpp kmolelements.cpp kmoledit.cpp 
-
-libkmol_la_LDFLAGS = $(all_libraries) -module -avoid-version
-
+libkmol_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
+libkmol_la_LDFLAGS = $(all_libraries) -module -avoid-version 1:1:0 $(QT_LDFLAGS)
+noinst_HEADERS = kmolcalc.h kmolelements.h kmoledit.h 
+ 
 INCLUDES= $(all_includes)
 
 METASOURCES = AUTO
--- khangman/khangman/khangman.cpp	5 Nov 2002 19:57:40 -0000	1.1.1.5
+++ khangman/khangman/khangman.cpp	31 Oct 2002 19:19:39 -0000	1.2
@@ -23,7 +23,7 @@
 KHangMan::KHangMan(QWidget *parent, const char *name) : MainW(parent, name)
 {
 //set the usuall stuff...
-	setIcon(locate("icon","hicolor/16x16/apps/khangman.png"));
+	setIcon(locate("icon","crystalsvg/16x16/apps/khangman.png"));
 	setCaption(i18n("KHangMan %1").arg(KHM_VERSION));
 	missedChar = 0;
 	modeAdult->hide();
@@ -32,8 +32,8 @@
 //plugs in the Help menu...
 	helpMenu = new KHelpMenu(this, KGlobal::instance()->aboutData(), true);
 	helpMenu->menu()->insertSeparator(-1);
-	helpMenu->menu()->insertItem(QPixmap( locate("icon","hicolor/16x16/actions/info.png") ), "&Info",this,SLOT(slotInfo()) );
-	//kdDebug() << locate("icon","hicolor/16x16/actions/info.png") << endl;
+	helpMenu->menu()->insertItem(QPixmap( locate("icon","crystalsvg/16x16/actions/info.png") ), "&Info",this,SLOT(slotInfo()) );
+	//kdDebug() << locate("icon","crystalsvg/16x16/actions/info.png") << endl;
 	btnHelp->setPopup(helpMenu->menu());
 
 //now we preload the pixmaps...
--- kiten/Makefile.am	5 Nov 2002 19:59:22 -0000	1.1.1.4
+++ kiten/Makefile.am	1 Jun 2003 14:31:57 -0000	1.5
@@ -2,27 +2,33 @@
 
 SUBDIRS = pics
 
-lib_LTLIBRARIES = kiten.la
+lib_LTLIBRARIES = kiten.la libkiten_main.la
 
-kiten_la_SOURCES = 	main.cpp \
-				dict.cpp \
-				kiten.cpp \
-				optiondialog.cpp \
-				rad.cpp \
-				deinf.cpp \
-				kromajiedit.cpp \
-				widgets.cpp \
-				learn.cpp \
-				kloader.cpp \
-				ksaver.cpp
+libkiten_main_la_SOURCES = dict.cpp \
+	kiten.cpp \
+	optiondialog.cpp \
+	rad.cpp \
+	deinf.cpp \
+	kromajiedit.cpp \
+	widgets.cpp \
+	learn.cpp \
+	kloader.cpp \
+	ksaver.cpp
+libkiten_main_la_LIBADD = $(LIB_QT) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDECORE) -lkdeprint
+libkiten_main_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
 
-kiten_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+kiten_la_SOURCES = kiten_la_main.cpp
+kiten_la_LIBADD  = libkiten_main.la
+kiten_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
+
+kiten_la_main.cpp: main.cpp
+	cat main.cpp > kiten_la_main.cpp
 
 bin_PROGRAMS = kiten kitengen
 
-kiten_LDADD = kiten.la $(KDE_RPATH) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT)
+kiten_LDADD = libkiten_main.la
 kiten_LDFLAGS = $(all_libraries)
-kiten_SOURCES = dummy.cpp
+kiten_SOURCES = main.cpp
 
 kitengen_SOURCES = xjdxgen.c
 kitengen_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT)
--- klettres/klettres/pics/Makefile.am	5 Nov 2002 20:00:23 -0000	1.1.1.4
+++ klettres/klettres/pics/Makefile.am	31 Oct 2002 19:19:39 -0000	1.2
@@ -10,19 +10,19 @@
 	$(INSTALL_DATA) $(srcdir)/klsplash.png $(kde_datadir)/klettres/pics/klsplash.jpeg
 	$(mkinstalldirs) $(kde_datadir)/klettres/pics/
 	$(INSTALL_DATA) $(srcdir)/background1.png $(kde_datadir)/klettres/pics/background1.png
-	$(mkinstalldirs) $(kde_icondir)/hicolor/48x48/apps/
-	$(INSTALL_DATA) $(srcdir)/grownup.png $(kde_icondir)/hicolor/48x48/apps/grownup.png
-	$(mkinstalldirs) $(kde_icondir)/hicolor/48x48/apps/
-	$(INSTALL_DATA) $(srcdir)/kids.png $(kde_icondir)/hicolor/48x48/apps/kids.png
-	$(mkinstalldirs) $(kde_icondir)/hicolor/48x48/apps/
-	$(INSTALL_DATA) $(srcdir)/menubar.png $(kde_icondir)/hicolor/48x48/apps/menubar.png
+	$(mkinstalldirs) $(kde_icondir)/crystalsvg/48x48/apps/
+	$(INSTALL_DATA) $(srcdir)/grownup.png $(kde_icondir)/crystalsvg/48x48/apps/grownup.png
+	$(mkinstalldirs) $(kde_icondir)/crystalsvg/48x48/apps/
+	$(INSTALL_DATA) $(srcdir)/kids.png $(kde_icondir)/crystalsvg/48x48/apps/kids.png
+	$(mkinstalldirs) $(kde_icondir)/crystalsvg/48x48/apps/
+	$(INSTALL_DATA) $(srcdir)/menubar.png $(kde_icondir)/crystalsvg/48x48/apps/menubar.png
 
 uninstall-local:
 	-rm -f $(kde_datadir)/klettres/pics/klettres_back.jpeg
 	-rm -f $(kde_datadir)/klettres/pics/klsplash.jpeg
 	-rm -f $(kde_datadir)/klettres/pics/background1.png
-	-rm -f $(kde_icondir)/hicolor/48x48/apps/grownup.png
-	-rm -f $(kde_icondir)/hicolor/48x48/apps/kids.png
-	-rm -f $(kde_icondir)/hicolor/48x48/apps/menubar.png
+	-rm -f $(kde_icondir)/crystalsvg/48x48/apps/grownup.png
+	-rm -f $(kde_icondir)/crystalsvg/48x48/apps/kids.png
+	-rm -f $(kde_icondir)/crystalsvg/48x48/apps/menubar.png
 
 ####### kdevelop will overwrite this part!!! (end)############
--- kmathtool/configure.in.in	2 Oct 2002 01:26:27 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1 +0,0 @@
-DO_NOT_COMPILE="$DO_NOT_COMPILE kmathtool"
--- kmplot/kmplot/diagr.cpp	4 Jan 2003 17:51:54 -0000	1.1.1.6
+++ kmplot/kmplot/diagr.cpp	4 Jan 2003 18:15:41 -0000	1.5
@@ -27,6 +27,26 @@
 #include "misc.h"
 #include "diagr.h"
 
+/* ugly ugly ugly -- why o why does the compiler not find these
+ * friggin' functions in math.h?!?!
+ */
+
+#if !defined(isnan)
+# if defined(NAN)
+#  define isnan(x) (x)==NAN?1:0
+# else
+extern __pure int isnan __P((double));
+# endif
+#endif
+
+#if !defined(isinf)
+# if defined(INFINITY)
+#  define isinf(x) (x)==INFINITY?1:0
+# else
+extern __pure int isinf __P((double));
+# endif
+#endif
+
 #ifdef __osf__
 #include <nan.h>
 #define isnan(x) IsNAN(x)
--- kstars/kstars/data/Makefile.am	5 Nov 2002 20:01:24 -0000	1.1.1.5
+++ kstars/kstars/data/Makefile.am	31 Oct 2002 19:19:39 -0000	1.2
@@ -627,9 +627,9 @@
 	-rm -f $(kde_datadir)/kstars/cnames.dat
 	-rm -f $(kde_datadir)/kstars/ngcic.dat
 	-rm -f $(kde_datadir)/kstars/sao.dat
-	-rm -f $(kde_icondir)/hicolor/16x16/apps/kstars.png
-	-rm -f $(kde_icondir)/hicolor/32x32/apps/kstars.png  
-	-rm -f $(kde_icondir)/hicolor/48x48/apps/kstars.png
+	-rm -f $(kde_icondir)/crystalsvg/16x16/apps/kstars.png
+	-rm -f $(kde_icondir)/crystalsvg/32x32/apps/kstars.png  
+	-rm -f $(kde_icondir)/crystalsvg/48x48/apps/kstars.png
 	-rm -f $(kde_icondir)/locolor/16x16/apps/kstars.png 
 	-rm -f $(kde_icondir)/locolor/32x32/apps/kstars.png 
 	-rm -f $(kde_icondir)/locolor/48x48/apps/kstars.png 
--- kstars/kstars/modcalcdaylength.cpp	6 May 2003 20:25:47 -0000	1.1.1.8
+++ kstars/kstars/modcalcdaylength.cpp	6 May 2003 20:39:41 -0000	1.6
@@ -320,4 +320,5 @@
 	delete num;
 
 }
+
 #include "modcalcdaylength.moc"
--- ktouch/Makefile.am	5 Nov 2002 20:02:34 -0000	1.1.1.4
+++ ktouch/Makefile.am	16 Aug 2002 23:49:20 -0000	1.2
@@ -6,7 +6,7 @@
 AUTOMAKE_OPTIONS = foreign
 
 # place KTouch in the start menu under utilities
-kdelnkdir = $(kde_appsdir)/Edutainment/Miscellanous
+kdelnkdir = $(kde_appsdir)/Edutainment/Miscellaneous
 kdelnk_DATA = ktouch.desktop
 
 KDE_ICON = ktouch
--- kvoctrain/kvoctrain/Makefile.am	27 Nov 2002 00:24:55 -0000	1.1.1.6
+++ kvoctrain/kvoctrain/Makefile.am	31 Oct 2002 19:19:39 -0000	1.2
@@ -49,13 +49,14 @@
 	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Edutainment/Languages/
 	$(INSTALL_DATA) $(srcdir)/kvoctrain.desktop $(DESTDIR)$(kde_appsdir)/Edutainment/Languages/kvoctrain.desktop
 	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/
-	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/
-	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/
-	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/22x22/apps/
+	$(INSTALL_DATA) $(srcdir)/pics/kvoctrain.xpm $(DESTDIR)$(kde_icondir)/kvoctrain.xpm
+	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/
+	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/
+	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/22x22/apps/
 	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/
-	$(INSTALL_DATA) $(srcdir)/pics/48x48-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kvoctrain.xpm
-	$(INSTALL_DATA) $(srcdir)/pics/32x32-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kvoctrain.xpm
-	$(INSTALL_DATA) $(srcdir)/pics/22x22-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/hicolor/22x22/apps/kvoctrain.xpm
+	$(INSTALL_DATA) $(srcdir)/pics/48x48-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/kvoctrain.xpm
+	$(INSTALL_DATA) $(srcdir)/pics/32x32-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/kvoctrain.xpm
+	$(INSTALL_DATA) $(srcdir)/pics/22x22-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/crystalsvg/22x22/apps/kvoctrain.xpm
 	$(INSTALL_DATA) $(srcdir)/pics/16x16-kvoctrain.xpm $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kvoctrain.xpm
 	$(mkinstalldirs) $(kde_datadir)/kvoctrain
 	for pic in $(APPS_FILES); do \
--- libkdeedu/kdeeducore/Makefile.am	29 Oct 2002 14:41:22 -0000	1.1.1.2
+++ libkdeedu/kdeeducore/Makefile.am	3 Mar 2003 02:43:23 -0000	1.2
@@ -7,7 +7,7 @@
 
 libkdeeducore_la_SOURCES = keduvocdata.cpp
 
-libkdeeducore_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 1:0
+libkdeeducore_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined -version-info 1:0
 
 # include_HEADERS = keduvocdata.h
 noinst_HEADERS = keduvocdata.h
